com.h3c.util.observer

## Enum MultiThreadListenerHandler.ThreadingMode

- java.lang.Object
- - java.lang.Enum<MultiThreadListenerHandler.ThreadingMode>
  - - com.h3c.util.observer.MultiThreadListenerHandler.ThreadingMode

- All Implemented Interfaces:
    Serializable, Comparable<MultiThreadListenerHandler.ThreadingMode>
  Enclosing class:
    MultiThreadListenerHandler<T>

      public static enum MultiThreadListenerHandler.ThreadingMode
      extends Enum<MultiThreadListenerHandler.ThreadingMode>

  Thread model.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_LISTENERS_IN_SAME_THREAD` All listeners are notified in sequence in the same thread.
    `EACH_LISTENER_IN_OWN_THREAD` Each listener is notified in a different thread.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultiThreadListenerHandler.ThreadingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MultiThreadListenerHandler.ThreadingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_LISTENERS_IN_SAME_THREAD

          public static final MultiThreadListenerHandler.ThreadingMode ALL_LISTENERS_IN_SAME_THREAD

      All listeners are notified in sequence in the same thread.

    - #### EACH_LISTENER_IN_OWN_THREAD

          public static final MultiThreadListenerHandler.ThreadingMode EACH_LISTENER_IN_OWN_THREAD

      Each listener is notified in a different thread.

  - ### Method Detail

    - #### values

          public static MultiThreadListenerHandler.ThreadingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultiThreadListenerHandler.ThreadingMode c : MultiThreadListenerHandler.ThreadingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultiThreadListenerHandler.ThreadingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.